---@meta

---@class AISMPoolActor : AActor
---@field ISMPoolComp UISMPoolComponent
---@field ISMPoolDebugDrawComp UISMPoolDebugDrawComponent
local AISMPoolActor = {}



---@class UISMPoolComponent : USceneComponent
local UISMPoolComponent = {}


---@class UISMPoolDebugDrawComponent : UDebugDrawComponent
---@field bShowGlobalStats boolean
---@field bShowStats boolean
---@field bShowBounds boolean
---@field SelectedComponent UInstancedStaticMeshComponent
local UISMPoolDebugDrawComponent = {}



---@class UISMPoolSubSystem : UWorldSubsystem
local UISMPoolSubSystem = {}

---@param InSource AActor
---@param Reason EEndPlayReason::Type
function UISMPoolSubSystem:OnActorEndPlay(InSource, Reason) end


